lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'snap/version'

Gem::Specification.new do |spec|
  spec.name          = 'snap-api'
  spec.version       = Snap::VERSION
  spec.authors       = ['Andrew Hood']
  spec.email         = ['andrewhood125@gmail.com']

  spec.summary       = 'Snap API Client'
  spec.description   = 'Wraps the Cordial API for use inside Ruby applications.'
  spec.homepage      = 'https://github.com/MeUndies/snap'

  spec.license       = 'MIT'
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.require_paths = ['lib']

  spec.add_dependency 'activemodel', '~> 5.1'
  spec.add_dependency 'hashie', '~> 3.5'
  spec.add_dependency 'httparty', '~> 0.16'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'dotenv', '~> 2.5'
  spec.add_development_dependency 'pry', '~> 0.11'
  spec.add_development_dependency 'rake', '~> 12.3'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.59'
  spec.add_development_dependency 'simplecov', '~> 0.16'
  spec.add_development_dependency 'vcr', '~> 4.0'
  spec.add_development_dependency 'webmock', '~> 3.4'
end
